glibmm 2.52.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::SpawnError Class Reference
Spawning Processes

Exception class for errors occuring when spawning processes. More...

`#include <glibmm/spawn.h>`

Inheritance diagram for Glib::SpawnError:
[legend]

## Public Types
enum | Code { FORK, READ, CHDIR, ACCES, PERM, TOO_BIG, TOOBIG = TOO_BIG, NOEXEC, NAMETOOLONG, NOENT, NOMEM, NOTDIR, LOOP, TXTBUSY, IO, NFILE, MFILE, INVAL, ISDIR, LIBBAD, FAILED }
| Error codes returned by spawning processes. More...

## Public Member Functions
| SpawnError (Code error_code, const Glib::ustring& error_message)
| SpawnError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for errors occuring when spawning processes.

## Constructor & Destructor Documentation

Glib::SpawnError::SpawnError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::SpawnError::SpawnError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::SpawnError::code | ( |  | ) | const